<?php
/**
 * obSocialIcon module
 * @version 1.0
 * @author Thong Tran - foobla.com
 * @link http://foobla.com
 * @Copyright (C) 2013 foobla.com. All Rights Reserved.
 * @license GNU General Public License version 2, see http://www.gnu.org/licenses/gpl-2.0.html
 */

// no direct access
defined('_JEXEC') or die();
$loadfont = $params->get('loadfont','');
if($loadfont == 'cdn'){
	$doc = JFactory::getDocument();
	# Load font awesome
	$doc->addStyleSheet('//netdna.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.css'); // FontAwesome CDN
}elseif($loadfont == 'included'){
	$doc = JFactory::getDocument();
	$css = JUri::root().'modules/mod_obsocialicon/assets/css/font-awesome.min.css';
	$doc->addStyleSheet($css); // FontAwesome included
}
$list_social_icons = $params->get('list_socialicon');
$social_icons = json_decode($list_social_icons);
require JModuleHelper::getLayoutPath('mod_obsocialicon', $params->get('layout', 'default'));

